; -- Turtle shepherd.iss --
; Turtle Shepherd multilingual installation.

[Setup]
AppName={cm:MyAppName}
AppId=My Program
AppVerName={cm:MyAppVerName,1.0}
DefaultDirName={pf}\{cm:MyAppName}
DefaultGroupName={cm:MyAppName}
UninstallDisplayIcon={app}\MyProg.exe
VersionInfoDescription=My Program Setup
OutputDir=userdocs:Inno Setup Examples Output
; Uncomment the following line to disable the "Select Setup Language"
; dialog and have it rely solely on auto-detection.
;ShowLanguageDialog=no
; If you want all languages to be listed in the "Select Setup Language"
; dialog, even those that can't be displayed in the active code page,
; uncomment the following line.
;ShowUndisplayableLanguages=yes

[Languages]
Name: en; MessagesFile: compiler:Default.isl
Name: sr; MessagesFile: compiler:Languages\Srpski.isl

[Messages]
en.BeveledLabel=English
sr.BeveledLabel=Srpski

[CustomMessages]
en.MyDescription=Turtle Shepherd is freeware 3D arcade shooter game.
en.MyAppName=Turtle Shepherd
en.MyAppVerName=Turtle Shepherd %1
sr.MyDescription=Coban je besplatna 3D arkadna pucacina.
sr.MyAppName=Coban
sr.MyAppVerName=Coban %1

[Files]
Source: TS.exe; DestDir: {app}
Source: d3dx9_27.dll; DestDir: {app}
Source: config-sr.ini; DestName: config.ini; DestDir: {app}; Languages: sr
Source: config.ini; DestDir: {app}; Languages: en
Source: Media\Models\terrain.jpg; DestDir: {app}\Media\Models
Source: Media\Models\axe.jpg; DestDir: {app}\Media\Models
Source: Media\Models\barn.x; DestDir: {app}\Media\Models
Source: Media\Models\barrel.x; DestDir: {app}\Media\Models
Source: Media\Models\bird.x; DestDir: {app}\Media\Models
Source: Media\Models\cedfence.jpg; DestDir: {app}\Media\Models
Source: Media\Models\clouds.png; DestDir: {app}\Media\Models
Source: Media\Models\clouds.x; DestDir: {app}\Media\Models
Source: Media\Models\deck.jpg; DestDir: {app}\Media\Models
Source: Media\Models\dwarf.jpg; DestDir: {app}\Media\Models
Source: Media\Models\dwarf.x; DestDir: {app}\Media\Models
Source: Media\Models\fence.x; DestDir: {app}\Media\Models
Source: Media\Models\forest.x; DestDir: {app}\Media\Models
Source: Media\Models\forestree.x; DestDir: {app}\Media\Models
Source: Media\Models\grass_hill.jpg; DestDir: {app}\Media\Models
Source: Media\Models\grass_floor.jpg; DestDir: {app}\Media\Models
Source: Media\Models\tall_grass.dds; DestDir: {app}\Media\Models
Source: Media\Models\grass_floor.x; DestDir: {app}\Media\Models
Source: Media\Models\tall_grass.x; DestDir: {app}\Media\Models
Source: Media\Models\hill1.x; DestDir: {app}\Media\Models
Source: Media\Models\hill2.x; DestDir: {app}\Media\Models
Source: Media\Models\hill3.x; DestDir: {app}\Media\Models
Source: Media\Models\house.x; DestDir: {app}\Media\Models
Source: Media\Models\metal_heavycorr.jpg; DestDir: {app}\Media\Models
Source: Media\Models\mfdouble.x; DestDir: {app}\Media\Models
Source: Media\Models\mfharmless.x; DestDir: {app}\Media\Models
Source: Media\Models\nebo.jpg; DestDir: {app}\Media\Models
Source: Media\Models\oblaci.png; DestDir: {app}\Media\Models
Source: Media\Models\oko.png; DestDir: {app}\Media\Models
Source: Media\Models\sky.x; DestDir: {app}\Media\Models
Source: Media\Models\sheep.x; DestDir: {app}\Media\Models
Source: Media\Models\shed.x; DestDir: {app}\Media\Models
Source: Media\Models\staro_drvo.jpg; DestDir: {app}\Media\Models
Source: Media\Models\terrain.x; DestDir: {app}\Media\Models
Source: Media\Models\terrain1.x; DestDir: {app}\Media\Models
Source: Media\Models\tractor.x; DestDir: {app}\Media\Models
Source: Media\Models\tree1.x; DestDir: {app}\Media\Models
Source: Media\Models\tree01S.dds; DestDir: {app}\Media\Models
Source: Media\Models\tree2.x; DestDir: {app}\Media\Models
Source: Media\Models\tree02S.dds; DestDir: {app}\Media\Models
Source: Media\Models\tree3.x; DestDir: {app}\Media\Models
Source: Media\Models\treebark.jpg; DestDir: {app}\Media\Models
Source: Media\Models\trough.x; DestDir: {app}\Media\Models
Source: Media\Models\turtle.png; DestDir: {app}\Media\Models
Source: Media\Models\turtle.x; DestDir: {app}\Media\Models
Source: Media\Pics\black.png; DestDir: {app}\Media\Pics
Source: Media\Pics\coin.png; DestDir: {app}\Media\Pics
Source: Media\Pics\dblflower.png; DestDir: {app}\Media\Pics
Source: Media\Pics\grass.png; DestDir: {app}\Media\Pics
Source: Media\Pics\greenbar.png; DestDir: {app}\Media\Pics
Source: Media\Pics\bullet.png; DestDir: {app}\Media\Pics
Source: Media\Pics\heart.png; DestDir: {app}\Media\Pics
Source: Media\Pics\hmlflower.png; DestDir: {app}\Media\Pics
Source: Media\Pics\intfail.png; DestDir: {app}\Media\Pics
Source: Media\Pics\intsucc.png; DestDir: {app}\Media\Pics
Source: Media\Pics\loading1.png; DestDir: {app}\Media\Pics
Source: Media\Pics\loading2.png; DestDir: {app}\Media\Pics
Source: Media\Pics\loading3.png; DestDir: {app}\Media\Pics
Source: Media\Pics\sheepicon.png; DestDir: {app}\Media\Pics
Source: Media\Pics\white.png; DestDir: {app}\Media\Pics
Source: Media\Pics\yellowpannel.png; DestDir: {app}\Media\Pics
Source: Media\Sounds\buttover.wav; DestDir: {app}\Media\Sounds
Source: Media\Sounds\click.wav; DestDir: {app}\Media\Sounds
Source: Media\Sounds\shooting.wav; DestDir: {app}\Media\Sounds
Source: Media\Sounds\dwarf_die_01.wav; DestDir: {app}\Media\Sounds
Source: Media\Sounds\dwarf_die_02.wav; DestDir: {app}\Media\Sounds
Source: Media\Sounds\dwarf_gotcha.wav; DestDir: {app}\Media\Sounds
Source: Media\Sounds\flower_double_eat.wav; DestDir: {app}\Media\Sounds
Source: Media\Sounds\flower_harmless_eat.wav; DestDir: {app}\Media\Sounds
Source: Media\Sounds\sheep_move_1.wav; DestDir: {app}\Media\Sounds
Source: Media\Sounds\sheep_move_2.wav; DestDir: {app}\Media\Sounds
Source: Media\Sounds\sheep_die.wav; DestDir: {app}\Media\Sounds
Source: Media\Music\leveltheme.mp3; DestDir: {app}\Media\Music
Source: Media\Music\menutheme.mp3; DestDir: {app}\Media\Music
Source: Media\Music\movietheme.mp3; DestDir: {app}\Media\Music
Source: Media\Icons\button.png; DestDir: {app}\Media\Icons
Source: Media\Icons\buttover.png; DestDir: {app}\Media\Icons

[Icons]
Name: {group}\{cm:MyAppName}; Filename: {app}\TS.exe; WorkingDir: {app}
Name: {group}\{cm:UninstallProgram,{cm:MyAppName}}; Filename: {uninstallexe}
Name: {commondesktop}\{cm:MyAppName}; Filename: {app}\TS.exe; WorkingDir: {app}; Tasks: DesktopIcon

[Tasks]
; The following task doesn't do anything and is only meant to show [CustomMessages] usage
Name: DesktopIcon; Description: {cm:CreateDesktopIcon}
[Dirs]
Name: {app}\Media
Name: {app}\Media\Models
Name: {app}\Media\Pics
Name: {app}\Media\Sounds
Name: {app}\Media\Music
Name: {app}\Media\Icons
